"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rimraf = require("rimraf");
const util_1 = require("util");
// LokiFsStructuredAdapter
// tslint:disable-next-line:no-var-requires
exports.lfsa = require("lokijs/src/loki-fs-structured-adapter.js");
exports.rimrafAsync = util_1.promisify(rimraf);
function minDate(date1, date2) {
    return date1 > date2 ? date2 : date1;
}
exports.minDate = minDate;
// Blob Snapshot is has 7 digital for Milliseconds, but Datatime has Milliseconds with 3 digital. So need convert.
function convertDateTimeStringMsTo7Digital(dateTimeString) {
    return dateTimeString.replace("Z", "0000Z");
}
exports.convertDateTimeStringMsTo7Digital = convertDateTimeStringMsTo7Digital;
function convertRawHeadersToMetadata(rawHeaders = []) {
    const metadataPrefix = "x-ms-meta-";
    const res = {};
    let isEmpty = true;
    for (let i = 0; i < rawHeaders.length; i = i + 2) {
        const header = rawHeaders[i];
        if (header.startsWith(metadataPrefix) &&
            header.length > metadataPrefix.length) {
            const key = header.substr(metadataPrefix.length);
            let value = rawHeaders[i + 1] || "";
            if (res[key] !== undefined) {
                value = `${res[key]},${value}`;
            }
            res[key] = value;
            isEmpty = false;
            continue;
        }
    }
    return isEmpty ? undefined : res;
}
exports.convertRawHeadersToMetadata = convertRawHeadersToMetadata;
//# sourceMappingURL=utils.js.map