/// <reference types="node" />
import { Options as SequelizeOptions } from "sequelize";
import ConfigurationBase from "../common/ConfigurationBase";
import { StoreDestinationArray } from "../common/persistence/IExtentStore";
/**
 * The configuration for the server based on sql database.
 *
 * @export
 * @class SqlBlobConfiguration
 * @extends {ConfigurationBase}
 */
export default class SqlBlobConfiguration extends ConfigurationBase {
    readonly sqlURL: string;
    readonly sequelizeOptions: SequelizeOptions;
    readonly persistenceArray: StoreDestinationArray;
    constructor(host: string | undefined, port: number | undefined, sqlURL: string, sequelizeOptions?: SequelizeOptions, persistenceArray?: StoreDestinationArray, enableAccessLog?: boolean, accessLogWriteStream?: NodeJS.WritableStream, enableDebugLog?: boolean, debugLogFilePath?: string, loose?: boolean, cert?: string, key?: string, pwd?: string, oauth?: string);
}
//# sourceMappingURL=SqlBlobConfiguration.d.ts.map