import IAccountDataStore from "../../common/IAccountDataStore";
import ILogger from "../../common/ILogger";
import Context from "../generated/Context";
import IRequest from "../generated/IRequest";
import IBlobMetadataStore from "../persistence/IBlobMetadataStore";
import IAuthenticator from "./IAuthenticator";
export default class AccountSASAuthenticator implements IAuthenticator {
    private readonly accountDataStore;
    private readonly blobMetadataStore;
    private readonly logger;
    constructor(accountDataStore: IAccountDataStore, blobMetadataStore: IBlobMetadataStore, logger: ILogger);
    validate(req: IRequest, context: Context): Promise<boolean | undefined>;
    private getAccountSASSignatureValuesFromRequest;
    private validateTime;
    private validateIPRange;
    private validateProtocol;
    private decodeIfExist;
    private blobExist;
}
//# sourceMappingURL=AccountSASAuthenticator.d.ts.map