import { ModifiedAccessConditions } from "../generated/artifacts/models";
import Context from "../generated/Context";
import { BlobModel, ContainerModel } from "../persistence/IBlobMetadataStore";
import { IConditionalHeaders } from "./IConditionalHeaders";
import { IConditionalHeadersValidator } from "./IConditionalHeadersValidator";
import IConditionResource from "./IConditionResource";
export declare function validateReadConditions(context: Context, conditionalHeaders?: ModifiedAccessConditions, model?: BlobModel | ContainerModel | null): void;
export default class ReadConditionalHeadersValidator implements IConditionalHeadersValidator {
    /**
     * Validate Conditional Headers for Blob Service Read Operations in Version 2013-08-15 or Later.
     * @link https://docs.microsoft.com/en-us/rest/api/storageservices/specifying-conditional-headers-for-blob-service-operations#specifying-conditional-headers-for-blob-service-read-operations-in-version-2013-08-15-or-later
     *
     * @param context
     * @param conditionalHeaders
     * @param resource
     */
    validate(context: Context, conditionalHeaders: IConditionalHeaders, resource: IConditionResource): void;
}
//# sourceMappingURL=ReadConditionalHeadersValidator.d.ts.map