import { ModifiedAccessConditions, SequenceNumberAccessConditions } from "../generated/artifacts/models";
import Context from "../generated/Context";
import { BlobModel, ContainerModel } from "../persistence/IBlobMetadataStore";
import { IConditionalHeaders } from "./IConditionalHeaders";
import { IConditionalHeadersValidator } from "./IConditionalHeadersValidator";
import IConditionResource from "./IConditionResource";
export declare function validateSequenceNumberWriteConditions(context: Context, conditionalHeaders?: SequenceNumberAccessConditions, model?: BlobModel): void;
export declare function validateWriteConditions(context: Context, conditionalHeaders?: ModifiedAccessConditions, model?: BlobModel | ContainerModel | null): void;
export default class WriteConditionalHeadersValidator implements IConditionalHeadersValidator {
    /**
     * Validate conditional Headers for Read Operations in Versions Prior to 2013-08-15,
     * and for Write Operations (All Versions).
     * @link https://docs.microsoft.com/en-us/rest/api/storageservices/specifying-conditional-headers-for-blob-service-operations#specifying-conditional-headers-for-read-operations-in-versions-prior-to-2013-08-15-and-for-write-operations-all-versions
     *
     * @param context
     * @param conditionalHeaders
     * @param resource
     */
    validate(context: Context, conditionalHeaders: IConditionalHeaders, resource: IConditionResource): void;
    private validateCombinations;
}
//# sourceMappingURL=WriteConditionalHeadersValidator.d.ts.map