/// <reference types="node" />
import * as Models from "../artifacts/models";
import Context from "../Context";
export default interface IServiceHandler {
    setProperties(storageServiceProperties: Models.StorageServiceProperties, options: Models.ServiceSetPropertiesOptionalParams, context: Context): Promise<Models.ServiceSetPropertiesResponse>;
    getProperties(options: Models.ServiceGetPropertiesOptionalParams, context: Context): Promise<Models.ServiceGetPropertiesResponse>;
    getStatistics(options: Models.ServiceGetStatisticsOptionalParams, context: Context): Promise<Models.ServiceGetStatisticsResponse>;
    listContainersSegment(options: Models.ServiceListContainersSegmentOptionalParams, context: Context): Promise<Models.ServiceListContainersSegmentResponse>;
    getUserDelegationKey(keyInfo: Models.KeyInfo, options: Models.ServiceGetUserDelegationKeyOptionalParams, context: Context): Promise<Models.ServiceGetUserDelegationKeyResponse>;
    getAccountInfo(context: Context): Promise<Models.ServiceGetAccountInfoResponse>;
    getAccountInfoWithHead(context: Context): Promise<Models.ServiceGetAccountInfoWithHeadResponse>;
    submitBatch(body: NodeJS.ReadableStream, contentLength: number, multipartContentType: string, options: Models.ServiceSubmitBatchOptionalParams, context: Context): Promise<Models.ServiceSubmitBatchResponse>;
}
//# sourceMappingURL=IServiceHandler.d.ts.map