import * as Models from "../generated/artifacts/models";
import Context from "../generated/Context";
export interface ILease {
    leaseId?: string;
    leaseState?: Models.LeaseStateType;
    leaseStatus?: Models.LeaseStatusType;
    leaseDurationType?: Models.LeaseDurationType;
    leaseDurationSeconds?: number;
    leaseExpireTime?: Date;
    leaseBreakTime?: Date;
}
export interface ILeaseValidator {
    validate(lease: ILease, context: Context): void;
}
export interface ILeaseSyncer<T> {
    sync(lease: ILease): T;
}
export interface ILeaseState {
    lease: ILease;
    acquire(duration: number, proposedLeaseId?: string): ILeaseState;
    break(breakPeriod?: number): ILeaseState;
    renew(leaseId: string): ILeaseState;
    change(leaseId: string, proposedLeaseId: string): ILeaseState;
    release(leaseId: string): ILeaseState;
    validate(validator: ILeaseValidator): ILeaseState;
    sync<T>(syncer: ILeaseSyncer<T>): T;
}
//# sourceMappingURL=ILeaseState.d.ts.map