import Context from "../generated/Context";
import { ILease, ILeaseState, ILeaseSyncer, ILeaseValidator } from "./ILeaseState";
export default abstract class LeaseStateBase implements ILeaseState {
    readonly lease: ILease;
    protected readonly context: Context;
    constructor(lease: ILease, context: Context);
    abstract acquire(duration: number, proposedLeaseId?: string | undefined): ILeaseState;
    abstract break(breakPeriod?: number | undefined): ILeaseState;
    abstract renew(leaseId: string): ILeaseState;
    abstract change(leaseId: string, proposedLeaseId: string): ILeaseState;
    abstract release(leaseId: string): ILeaseState;
    sync<T>(syncer: ILeaseSyncer<T>): T;
    validate(validator: ILeaseValidator): ILeaseState;
}
//# sourceMappingURL=LeaseStateBase.d.ts.map