/// <reference types="node" />
import { OAuthLevel } from "./models";
export declare enum CertOptions {
    Default = 0,
    PEM = 1,
    PFX = 2
}
export default abstract class ConfigurationBase {
    readonly host: string;
    readonly port: number;
    readonly enableAccessLog: boolean;
    readonly accessLogWriteStream?: NodeJS.WritableStream | undefined;
    readonly enableDebugLog: boolean;
    readonly debugLogFilePath?: string | undefined;
    readonly loose: boolean;
    readonly cert: string;
    readonly key: string;
    readonly pwd: string;
    readonly oauth?: string | undefined;
    constructor(host: string, port: number, enableAccessLog?: boolean, accessLogWriteStream?: NodeJS.WritableStream | undefined, enableDebugLog?: boolean, debugLogFilePath?: string | undefined, loose?: boolean, cert?: string, key?: string, pwd?: string, oauth?: string | undefined);
    hasCert(): CertOptions;
    getCert(option: any): {
        cert: Buffer;
        key: Buffer;
        pfx?: undefined;
        passphrase?: undefined;
    } | {
        pfx: Buffer;
        passphrase: string;
        cert?: undefined;
        key?: undefined;
    } | null;
    getOAuthLevel(): undefined | OAuthLevel;
    getHttpServerAddress(): string;
}
//# sourceMappingURL=ConfigurationBase.d.ts.map