import ILogger from "./ILogger";
import ILoggerStrategy from "./ILoggerStrategy";
export declare class Logger implements ILogger {
    strategy: ILoggerStrategy;
    constructor(strategy: ILoggerStrategy);
    error(message: string, contextID?: string): void;
    warn(message: string, contextID?: string): void;
    info(message: string, contextID?: string): void;
    verbose(message: string, contextID?: string): void;
    debug(message: string, contextID?: string): void;
}
declare const logger: Logger;
/**
 * Config global singleton logger instance.
 *
 * @export
 * @param {boolean} enable
 * @param {string} [logFile]
 */
export declare function configLogger(enable: boolean, logFile?: string): void;
export default logger;
//# sourceMappingURL=Logger.d.ts.map