import ILoggerStrategy, { LogLevels } from "./ILoggerStrategy";
/**
 * A logger strategy can log to Visual Studio Code channel.
 *
 * @export
 * @class VSCChannelLoggerStrategy
 * @implements {ILoggerStrategy}
 */
export default class VSCChannelLoggerStrategy implements ILoggerStrategy {
    readonly channelName: string;
    readonly level: LogLevels;
    private readonly channel;
    /**
     * Creates an instance of VSCChannelLoggerStrategy.
     *
     * @param {string} channelName Log to specific channel
     * @param {LogLevels} [level=LogLevels.Debug]
     * @memberof VSCChannelLoggerStrategy
     */
    constructor(channelName: string, level?: LogLevels);
    log(level: LogLevels, message: string, contextID?: string): void;
}
//# sourceMappingURL=VSCChannelLoggerStrategy.d.ts.map