/// <reference types="node" />
import IAccountDataStore from "../common/IAccountDataStore";
import IRequestListenerFactory from "../common/IRequestListenerFactory";
import IExtentStore from "../common/persistence/IExtentStore";
import { RequestListener } from "../common/ServerBase";
import { IQueueMetadataStore } from "./persistence/IQueueMetadataStore";
import { OAuthLevel } from "../common/models";
/**
 * Default RequestListenerFactory based on express framework.
 *
 * When creating other server implementations, such as based on Koa. Should also create a NEW
 * corresponding QueueKoaRequestListenerFactory class by extending IRequestListenerFactory.
 *
 *  @export
 * @class QueueRequestListenerFactory
 * @implements {IRequestListenerFactory}
 */
export default class QueueRequestListenerFactory implements IRequestListenerFactory {
    private readonly metadataStore;
    private readonly extentStore;
    private readonly accountDataStore;
    private readonly enableAccessLog;
    private readonly accessLogWriteStream?;
    private readonly oauth?;
    constructor(metadataStore: IQueueMetadataStore, extentStore: IExtentStore, accountDataStore: IAccountDataStore, enableAccessLog: boolean, accessLogWriteStream?: NodeJS.WritableStream | undefined, oauth?: OAuthLevel | undefined);
    createRequestListener(): RequestListener;
}
//# sourceMappingURL=QueueRequestListenerFactory.d.ts.map