import IAccountDataStore from "../../common/IAccountDataStore";
import ILogger from "../../common/ILogger";
import Context from "../generated/Context";
import IRequest from "../generated/IRequest";
import IQueueMetadataStore from "../persistence/IQueueMetadataStore";
import IAuthenticator from "./IAuthenticator";
export default class BlobSASAuthenticator implements IAuthenticator {
    private readonly accountDataStore;
    private readonly queueMetadataStore;
    private readonly logger;
    constructor(accountDataStore: IAccountDataStore, queueMetadataStore: IQueueMetadataStore, logger: ILogger);
    validate(req: IRequest, context: Context): Promise<boolean | undefined>;
    private getQueueSASSignatureValuesFromRequest;
    private validateTime;
    private validateIPRange;
    private validateProtocol;
    private decodeIfExist;
    private getQueueAccessPolicyByIdentifier;
}
//# sourceMappingURL=QueueSASAuthenticator.d.ts.map