import StorageError from "./StorageError";
/**
 * A factory class maintains all Azure Storage queue service errors.
 *
 * @export
 * @class StorageErrorFactory
 */
export default class StorageErrorFactory {
    static notImplement(contextID?: string): StorageError;
    static InternalError(contextID?: string): StorageError;
    static getInvalidHeaderValue(contextID?: string, additionalMessages?: {
        [key: string]: string;
    }): StorageError;
    static getInvaidXmlDocument(contextID?: string): StorageError;
    static corsPreflightFailure(contextID?: string, additionalMessages?: {
        [key: string]: string;
    }): StorageError;
    static getInvalidUri(contextID?: string, additionalMessages?: {
        [key: string]: string;
    }): StorageError;
    static getInvalidAuthenticationInfo(contextID?: string): StorageError;
    static getAuthenticationFailed(contextID: string | undefined, authenticationErrorDetail: string): StorageError;
    static getInvalidCorsHeaderValue(contextID?: string, additionalMessages?: {
        [key: string]: string;
    }): StorageError;
    static getAuthorizationFailure(contextID?: string): StorageError;
    static getInvalidOperation(contextID: string, message?: string): StorageError;
    static getAuthorizationSourceIPMismatch(contextID: string): StorageError;
    static getAuthorizationProtocolMismatch(contextID: string): StorageError;
    static getAuthorizationPermissionMismatch(contextID: string): StorageError;
    static getAuthorizationServiceMismatch(contextID: string): StorageError;
    static getAuthorizationResourceTypeMismatch(contextID: string): StorageError;
    static getInvalidXmlDocument(contextID?: string, additionalMessages?: {
        [key: string]: string;
    }): StorageError;
    static getInvalidQueryParameterValue(contextID?: string, additionalMessages?: {
        [key: string]: string;
    }): StorageError;
    static getOutOfRangeQueryParameterValue(contextID?: string, additionalMessages?: {
        [key: string]: string;
    }): StorageError;
    static getRequestBodyTooLarge(contextID?: string, additionalMessages?: {
        [key: string]: string;
    }): StorageError;
    static getMessageTooLarge(contextID?: string): StorageError;
    static getPopReceiptMismatch(contextID?: string): StorageError;
    static getMessageNotFound(contextID?: string): StorageError;
    static getInvalidResourceName(contextID?: string): StorageError;
    static getOutOfRangeName(contextID?: string): StorageError;
    static getQueueAlreadyExists(contextID?: string): StorageError;
    static getQueueNotFound(contextID?: string): StorageError;
}
//# sourceMappingURL=StorageErrorFactory.d.ts.map