import IGCExtentProvider from "../../common/IGCExtentProvider";
import IGCManager from "../../common/IGCManager";
import IExtentStore from "../../common/persistence/IExtentStore";
import ILogger from "../generated/utils/ILogger";
declare enum Status {
    Initializing = 0,
    Running = 1,
    Closing = 2,
    Closed = 3
}
/**
 * GC manager to clean up unused extents mapped local files based on mark and sweep
 * algorithm.
 *
 * In the future, GC manager can also help merging small extent mapped files
 * into one big file to improve the performance.
 *
 * @export
 * @class QueueGCManager
 * @implements {IGCManager}
 */
export default class QueueGCManager implements IGCManager {
    private readonly referredExtentsProvider;
    private readonly allExtentsProvider;
    private readonly extentStore;
    private readonly errorHandler;
    private readonly logger;
    readonly gcIntervalInMS: number;
    private _status;
    private emitter;
    constructor(referredExtentsProvider: IGCExtentProvider, allExtentsProvider: IGCExtentProvider, extentStore: IExtentStore, errorHandler: (err: Error) => void, logger: ILogger, gcIntervalInMS?: number);
    readonly status: Status;
    start(): Promise<void>;
    close(): Promise<void>;
    private markSweepLoop;
    private markSweep;
    private getAllExtents;
    private sleep;
}
export {};
//# sourceMappingURL=QueueGCManager.d.ts.map