import * as Models from "../generated/artifacts/models";
import Context from "../generated/Context";
import IMessageIdHandler from "../generated/handlers/IMessageIdHandler";
import BaseHandler from "./BaseHandler";
/**
 * MessageIdHandler handles Azure Storage a given message related requests.
 *
 * @export
 * @class MessageIdHandler
 * @implements {IMessageIdHandler}
 */
export default class MessageIdHandler extends BaseHandler implements IMessageIdHandler {
    /**
     * Update a message.
     *
     * @param {Models.QueueMessage} queueMessage
     * @param {string} popReceipt
     * @param {number} visibilitytimeout
     * @param {Models.MessageIdUpdateOptionalParams} options
     * @param {Context} context
     * @returns {Promise<Models.MessageIdUpdateResponse>}
     * @memberof MessageIdHandler
     */
    update(queueMessage: Models.QueueMessage, popReceipt: string, visibilitytimeout: number, options: Models.MessageIdUpdateOptionalParams, context: Context): Promise<Models.MessageIdUpdateResponse>;
    /**
     * Delete a message.
     *
     * @param {string} popReceipt
     * @param {Models.MessageIdDeleteMethodOptionalParams} options
     * @param {Context} context
     * @returns {Promise<Models.MessageIdDeleteResponse>}
     * @memberof MessageIdHandler
     */
    delete(popReceipt: string, options: Models.MessageIdDeleteMethodOptionalParams, context: Context): Promise<Models.MessageIdDeleteResponse>;
}
//# sourceMappingURL=MessageIdHandler.d.ts.map