/// <reference types="node" />
import { StoreDestinationArray } from "../../common/persistence/IExtentStore";
export declare const VERSION = "3.7.0";
export declare const QUEUE_API_VERSION = "2019-07-07";
export declare const DEFAULT_QUEUE_SERVER_HOST_NAME = "127.0.0.1";
export declare const DEFAULT_QUEUE_LISTENING_PORT = 10001;
export declare const IS_PRODUCTION: boolean;
export declare const DEFAULT_QUEUE_LOKI_DB_PATH = "__azurite_db_queue__.json";
export declare const DEFAULT_QUEUE_EXTENT_LOKI_DB_PATH = "__azurite_db_queue_extent__.json";
export declare const DEFAULT_QUEUE_PERSISTENCE_PATH = "__queuestorage__";
export declare const DEFAULT_DEBUG_LOG_PATH = "./debug.log";
export declare const DEFAULT_ENABLE_DEBUG_LOG = true;
export declare const DEFAULT_ACCESS_LOG_PATH = "./access.log";
export declare const DEFAULT_ENABLE_ACCESS_LOG = true;
export declare const DEFAULT_QUEUE_CONTEXT_PATH = "azurite_queue_context";
export declare const LOGGER_CONFIGS: {};
export declare const DEFAULT_GC_INTERVAL_MS: number;
export declare const EMULATOR_ACCOUNT_NAME = "devstoreaccount1";
export declare const EMULATOR_ACCOUNT_KEY: Buffer;
export declare const NEVER_EXPIRE_DATE: Date;
export declare const QUEUE_SERVICE_PERMISSION = "raup";
export declare const LIST_QUEUE_MAXRESSULTS_MIN = 1;
export declare const LIST_QUEUE_MAXRESSULTS_MAX = 2147483647;
export declare const DEFUALT_DEQUEUE_VISIBILITYTIMEOUT = 30;
export declare const DEQUEUE_VISIBILITYTIMEOUT_MIN = 1;
export declare const DEQUEUE_VISIBILITYTIMEOUT_MAX = 604800;
export declare const DEQUEUE_NUMOFMESSAGES_MIN = 1;
export declare const DEQUEUE_NUMOFMESSAGES_MAX = 32;
export declare const MESSAGETEXT_LENGTH_MAX = 65536;
export declare const DEFUALT_MESSAGETTL = 604800;
export declare const ENQUEUE_VISIBILITYTIMEOUT_MIN = 0;
export declare const ENQUEUE_VISIBILITYTIMEOUT_MAX = 604800;
export declare const MESSAGETTL_MIN = 1;
export declare const DEFUALT_UPDATE_VISIBILITYTIMEOUT = 30;
export declare const UPDATE_VISIBILITYTIMEOUT_MIN = 0;
export declare const UPDATE_VISIBILITYTIMEOUT_MAX = 604800;
export declare const EMPTY_EXTENT_CHUNK: {
    id: string;
    offset: number;
    count: number;
};
export declare const MethodConstants: {
    OPTIONS: string;
};
export declare const HeaderConstants: {
    AUTHORIZATION: string;
    AUTHORIZATION_SCHEME: string;
    CONTENT_ENCODING: string;
    CONTENT_LANGUAGE: string;
    CONTENT_LENGTH: string;
    CONTENT_MD5: string;
    CONTENT_TYPE: string;
    COOKIE: string;
    DATE: string;
    IF_MATCH: string;
    IF_MODIFIED_SINCE: string;
    IF_NONE_MATCH: string;
    IF_UNMODIFIED_SINCE: string;
    PREFIX_FOR_STORAGE: string;
    RANGE: string;
    USER_AGENT: string;
    X_MS_CLIENT_REQUEST_ID: string;
    X_MS_DATE: string;
    SERVER: string;
    X_MS_META: string;
    ORIGIN: string;
    VARY: string;
    ACCESS_CONTROL_EXPOSE_HEADERS: string;
    ACCESS_CONTROL_ALLOW_ORIGIN: string;
    ACCESS_CONTROL_ALLOW_CREDENTIALS: string;
    ACCESS_CONTROL_ALLOW_METHODS: string;
    ACCESS_CONTROL_ALLOW_HEADERS: string;
    ACCESS_CONTROL_MAX_AGE: string;
    ACCESS_CONTROL_REQUEST_METHOD: string;
    ACCESS_CONTROL_REQUEST_HEADERS: string;
    X_MS_VERSION: string;
};
export declare const SECONDARY_SUFFIX = "-secondary";
export declare enum QUEUE_STATUSCODE {
    CREATED = 201,
    NOCONTENT = 204
}
export declare const DEFAULT_QUEUE_PERSISTENCE_ARRAY: StoreDestinationArray;
export declare const ValidAPIVersions: string[];
export declare const VALID_QUEUE_AUDIENCES: RegExp[];
//# sourceMappingURL=constants.d.ts.map